Loading...
Searching...
No Matches
spa_i18n_methods Struct Reference
SPA » Support » I18N

`#include <spa/support/i18n.h>`

## Data Fields

uint32_t | version
const char *(* | text )(void *object, const char *msgid)
| Translate a message.
const char *(* | ntext )(void *object, const char *msgid, const char *msgid_plural, unsigned long int n)
| Translate a message for a number.

## Field Documentation

## version

uint32_t spa_i18n_methods::version

## text

const char *(* spa_i18n_methods::text) (void *object, const char *msgid)

Translate a message.

Parameters

  object | the i18n interface
  msgid | the message

Returns
  a translated message

## ntext

const char *(* spa_i18n_methods::ntext) (void *object, const char *msgid, const char *msgid_plural, unsigned long int n)

Translate a message for a number.

Parameters

  object | the i18n interface
  msgid | the message to translate
  msgid_plural | the plural form of msgid
  n | a number

Returns
  a translated message for the number n

The documentation for this struct was generated from the following file:

- spa/support/i18n.h